Bug 133345 - Build of ppp radius plugin fails
Build of ppp radius plugin fails
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-23 08:03 EDT by John Horne
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-11 11:53:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PPP radius plugin rebuild - first error (2.35 KB, text/plain)
2004-09-23 08:10 EDT, John Horne
no flags Details
PPP radius plugin - second error (2.79 KB, text/plain)
2004-09-23 08:12 EDT, John Horne
no flags Details
Error log on build rpm on AMD64 platform. (2.08 KB, text/plain)
2004-09-23 10:24 EDT, Kirill Yushkov
no flags Details

  None (edit)
Description John Horne 2004-09-23 08:03:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
Using the src rpm, and modifying the plugin Makefile to enable
'radius' plugin to be built, running rpmbuild fails with 2 problems:

1) Error messages relating to the radius plugin stamp-h.in file.

Solution: 'touch' this file, repackage the ppp-2.4.2.tar.gz file and
then run rpmbuild again. It gets past this problem.

2) The build finally fails with:

RPM build errors:
    Installed (but unpackaged) file(s) found:
  (list of files)

Solution: Modify the spec file %files section to include these files.
Re-run rpmbuild and it should all work fine now.

Attachments show the 2 errors in more detail.


Version-Release number of selected component (if applicable):
ppp-2.4.2-3.FC2.1

How reproducible:
Always

Steps to Reproduce:
1. As root install ppp-2.4.2-3.FC2.1.src.rpm
2. As root enter:
   cd /usr/src/redhat/SOURCES
   tar xvfz ppp-2.4.2.tar.gz
   (then edit 'ppp-2.4.2/pppd/plugins/Makefile' line 8 to include
    radius plugin. It should look like 'SUBDIRS += radius')
   tar cvf ppp-2.4.2.tar
   /bin/rm ppp-2.4.2.tar.gz
   gzip ppp-2.4.2.tar
   (This has now changed the source to build the radius plugin)
   cd /usr/src/redhat/SPECS
3. Enter 'rpmbuild -bb ppp.spec'
    

Actual Results:  The rebuild fails. Attachment shows first and second
error messages produced.

Expected Results:  Rebuild should work correctly and build the
relevant rpms with the radius plugin.

Additional info:
Comment 1 John Horne 2004-09-23 08:10:28 EDT
Created attachment 104179 [details]
PPP radius plugin rebuild - first error

The way around this problem is to execute:
   touch ./ppp-2.4.2/pppd/plugins/radius/radiusclient/stamp-h.in
after untarring/ungzipping the ppp-2.4.2.tar.gz source file.
Comment 2 John Horne 2004-09-23 08:12:51 EDT
Created attachment 104180 [details]
PPP radius plugin - second error

The way around this problem is to modify the 'ppp.spec' file. Paste in the
missing file pathnames into the '%files' section of the spec file, and then the
rebuild should work fine.
Comment 3 John Horne 2004-09-23 08:16:50 EDT
Oops - step 2 in reproducing the problem should be modified to say:

   tar cvf ppp-2.4.2.tar  ppp-2.4.2
Comment 4 Kirill Yushkov 2004-09-23 10:24:41 EDT
Created attachment 104193 [details]
Error log on build rpm on AMD64 platform.
Comment 5 Kirill Yushkov 2004-09-23 10:25:44 EDT
On AMD64 after this solution I get error described
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=133087 :(
Comment 6 Thomas Woerner 2004-10-11 11:53:33 EDT
The radius plugin of ppp is not supported at this time.
Closing "DEFERRED"

Note You need to log in before you can comment on or make changes to this bug.